Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5339 - PPP doesn't work
Summary: PPP doesn't work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-23 20:36 UTC by qarl
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-13 16:44:05 UTC


Attachments (Terms of Use)

Description qarl 1999-09-23 20:36:08 UTC
I believe I've found a bug in the 6.0 implementation of PPP.

Connecting to the Ricochet network (a standard PPP server)
I couldn't send large packets.  Pings worked fine, small
web pages worked fine, but large packets couldn't get
through.  (Turning on kernel debugging showed that the
large frames would arrive, but wouldn't "get through".)

After struggling for 48 hours on the problem, I found that
I could work around it by specifying "novj" (turn off
Van Jacobson compression.)

A quick search of the newsgroups shows that this problem
affects many people.

Comment 1 Michael K. Johnson 1999-11-22 19:44:59 UTC
This is in the kernel, not the ppp daemon.  The ppp daemon merely sets up
the connection; the kernel is in charge of the rest.

Comment 2 Alan Cox 1999-12-12 16:38:59 UTC
Ricochet does indeed have problems with VJ compression having reviewed some
packet and byte traces. I've moved this bug to Michael because the only answer
I see is to put Ricochet into RP3 and make RP3 know about VJ disable on some
networks.

Alan

Comment 3 Michael K. Johnson 1999-12-13 16:44:59 UTC
Adding every possible option to rp3 will turn it into a user interface
nightmare.  I'd rather just explain how to work around ricochet's bugs
until they get them fixed.  linuxconf does have a way to set PPPOPTIONS
so folks can use that to set PPPOPTIONS=novj to work around the problem
in the meantime.  AT&T chose the same kind of thing when they found a
bug in their implementation that kept CCP negotiation going -- they
preferred to tell people to set PPPOPTIONS=noccp to adding a bug-compat
features to rp3 or some other tool.


Note You need to log in before you can comment on or make changes to this bug.